res_odbc dependeny issue

Home » Asterisk Users » res_odbc dependeny issue
Asterisk Users 1 Comment

On Wednesday 15 December 2010 13:53:12 satish patel wrote:
> I have issue with res_odbc.so module Asterisk 1.8 not allowing me to
> enable because its depended on generic_odbc and ltdl
>
> I did install unixodbc and ltdl but still same error

Make sure you re-run ./configure after you add/remove packages, as the
configure script is what determines what packages are found. Additionally,
ensure you installed the -devel (-dev on Debian/Ubuntu) packages, as it is
the headers in these packages which are needed.

One thought on - res_odbc dependeny issue

  • Try installing libtool-ltdl-devel unixODBC-devel (or whatever the
    development packages are called on your distro, these are examples from
    CentOS 5.4).